Bug 508453 - Review Request: rubygem-test-spec - Behaviour Driven Development interface for Test::Unit
Review Request: rubygem-test-spec - Behaviour Driven Development interface fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Ingeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 07:38 EDT by Lubomir Rintel
Modified: 2010-04-16 18:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 02:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mi: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-27 07:38:34 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-test-spec.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-test-spec-0.10.0-1.fc11.src.rpm

Description:

Test/spec layers an RSpec-inspired interface on top of Test::Unit, so you
can mix TDD and BDD (Behavior-Driven Development).  It is a clean-room
implementation that maps most kinds of Test::Unit assertions to a
should-like syntax.
Comment 1 Michal Ingeli 2009-06-28 08:52:47 EDT
* naming ok
* spec file clean, american english
* file lists ok, examples in documentation
* builds in mock
* rpmlint silent
* source matches upstream

work to do:
- package is distributed in the same terms as ruby is. So it should have ruby license or GPLv2. Not GPLv2+.
- Consistent build root reference. In %clean stare it's referred to build root as %{buildroot} and other stages uses $RPM_BUILD_ROOT.
- add BuildRequires: ruby(abi) = 1.8 (maybe should be checked by rpmlint)
Comment 2 Lubomir Rintel 2009-07-08 13:01:09 EDT
(In reply to comment #1)

> work to do:
> - package is distributed in the same terms as ruby is. So it should have ruby
> license or GPLv2. Not GPLv2+.

Good catch. Fixed.

> - Consistent build root reference. In %clean stare it's referred to build root
> as %{buildroot} and other stages uses $RPM_BUILD_ROOT.

Fixed.

> - add BuildRequires: ruby(abi) = 1.8 (maybe should be checked by rpmlint)

bug #510313

SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-test-spec.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-test-spec-0.10.0-2.fc11.src.rpm
Comment 3 Michal Ingeli 2009-07-13 07:54:43 EDT
All work done, looks good.

APPROVED
Comment 4 Lubomir Rintel 2009-07-13 08:24:08 EDT
New Package CVS Request
=======================
Package Name: rubygem-test-spec
Short Description: Behaviour Driven Development interface for Test::Unit
Owners: lkundrak
Branches: F-11 EL-5
Comment 5 Kevin Fenzi 2009-07-14 00:48:52 EDT
cvs done.
Comment 6 Lubomir Rintel 2009-07-31 02:11:51 EDT
Thanks for the review and CVS. Imported and build.
Comment 7 Michael Stahnke 2010-04-16 18:15:24 EDT
Is there a reason this was built for EPEL5 but never put in as an update?  If you would like a co-maintainer in EPEL, I'd be happy to do it.

Note You need to log in before you can comment on or make changes to this bug.